const chalk = require('chalk');

module.exports = cli => {
  cli.injectPrompt({
    name: 'microApp',
    type: 'confirm',
    message: `是否使用 microApp 作为微应用嵌入到相关基座? ${chalk.yellow(
      `(将会自动生成与 microApp 相关的配置及说明)`
    )}`
  });
  cli.onPromptComplete((answers, options) => {
    options.microApp = answers.microApp;
  });
};
